> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Opt-in Prompt

> Updates an opt-in prompt



## OpenAPI

````yaml /api-reference/misc-openapi.json put /prod/prompt/{id}
openapi: 3.1.0
info:
  title: other
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Analytics
    description: Analytics and reporting
  - name: Logs
    description: Activity logs
  - name: Pixels
    description: Tracking pixels
  - name: Prompts
    description: Subscription prompt management
paths:
  /prod/prompt/{id}:
    put:
      tags:
        - Prompts
      summary: Update Opt-in Prompt
      description: Updates an opt-in prompt
      operationId: api-update-opt-in-prompt
      parameters:
        - name: id
          in: path
          description: Prompt ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Prompt Name
                header_text:
                  type: string
                  description: Prompt Header Text
                header_text_color:
                  type: string
                  description: 'Prompt Header Text Color (hexadecimal color e.g. #000000)'
                body_text:
                  type: string
                  description: Prompt Body Text
                body_text_color:
                  type: string
                  description: 'Prompt Body Text Color (hexadecimal color e.g. #000000)'
                cancel_button_text:
                  type: string
                  description: Prompt Cancel Button Text
                cancel_button_text_color:
                  type: string
                  description: >-
                    Prompt Cancel Button Text Color (hexadecimal color e.g.
                    #ffffff)
                cancel_button_color:
                  type: string
                  description: 'Prompt Cancel Button Color (hexadecimal color e.g. #4e99cf)'
                approve_button_text:
                  type: string
                  description: Prompt Approve Button Text
                approve_button_text_color:
                  type: string
                  description: >-
                    Prompt Approve Button Text Color (hexadecimal color e.g.
                    #ffffff)
                approve_button_color:
                  type: string
                  description: 'Prompt Approve Button Color (hexadecimal color e.g. #4e99cf)'
                icon_url:
                  type: string
                  description: Prompt Icon URL
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    message: Updated prompt succesfully.
                    id: '1234'
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Updated prompt succesfully.
                  id:
                    type: string
                    example: '1234'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid token.
                  error_code:
                    type: integer
                    example: 71831
                    default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````